Skip to main content
`Ctrl`+`K`

# MatCoarsenSetAdjacency

Sets the adjacency graph (matrix) of the thing to be coarsened.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetAdjacency(MatCoarsen agg, Mat adj)

Collective

## Input Parameters

- agg - the coarsen context

- adj - the adjacency matrix

## See Also

`MatCoarsen`, `MatCoarsenSetFromOptions()`, `Mat`, `MatCoarsenCreate()`, `MatCoarsenApply()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages